/**
 * 
 */
package com.nisum.myteam.service;

import java.util.List;

import org.springframework.web.multipart.MultipartFile;

import com.nisum.myteam.exception.handler.MyTeamException;
import com.nisum.myteam.model.EmployeeVisa;
import com.nisum.myteam.model.TravelRequest;
import com.nisum.myteam.model.Visa;

/**
 * @author nisum
 *
 */
public interface IVisaService {

	List<Visa> getAllVisas();

	List<EmployeeVisa> getAllEmployeeVisas();

	EmployeeVisa addEmployeeVisas(EmployeeVisa e);

	EmployeeVisa updateEmployeeVisas(EmployeeVisa e);

	void deleteEmployeeVisas(EmployeeVisa e);

	List<TravelRequest> getAllTravels();

	TravelRequest addTravelRequest(TravelRequest e);

	TravelRequest updateTravelRequest(TravelRequest e);

	void deleteEmployeeVisas(TravelRequest e);
}
